/*-------------------------------------------------------------------------
 * 功能描述：ParseSpace
 * 作者：xulisong
 * 创建时间： 2019/6/17 14:28:03
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Autodesk.Revit.DB.Mechanical;
using RevitExport;

namespace RevitToJBim.ComponentParse
{
    public class ParseSpace : ParseBase
    {
        public override string FastIndex()
        {
            return typeof(Space).ToString();
        }
        public override bool Match(ElementWrapper wrapper)
        {
            return wrapper.RefElement is Space;
        }

        public override void Parse(ElementWrapper wrapper, JBimParseContext context)
        {
            var bimId=context.GetBimId(wrapper.RefElement.Id.ToString());

            throw new NotImplementedException();
        }
    }
}
